@ echo off
cls
echo.
echo.
echo.
echo     This batch file must be called with a parameter determining 
echo     the letter mapped to the root of the volume SYS of your server 
echo     (for example "MAKENLM F")
echo.
echo     Also please make sure, that the NSN is installed on your server, 
echo     and that you have rights to the SYS:\NSN and SYS:\SYSTEM dirs.
echo.
echo.
echo     The drive letter for MAKENLM to run is: %1
echo.
echo     If you haven't entered the drive letter as parameter, 
echo     press Ctrl-C now to abort and try again
echo.
pause

cls

echo.
echo   Removing read-only file attribute before copying ...
echo.

attrib -R %1:\nsn\user\getftp.bas
attrib -R %1:\nsn\sdk\tools\getftp.*
attrib -R %1:\system\getftp.nlm
del %1:\nsn\sdk\tools\getftp.*

echo.
echo   Copying needed files to their proper locations
echo.

copy getftp.bas %1:\nsn\user\
sed s/F:/%1:/ getftp.pre >>%1:\nsn\sdk\tools\getftp.prj

REM Changing current directory to the compiller directory

echo.
echo Compiling and linking the NLM ...
echo.
pause
echo.

%1:
cd \nsn\sdk\tools\
nsncomp getftp
if errorlevel 1 then goto END

echo.
echo Copying the newly created NLM to the %1:\system directory
echo.

copy %1:\nsn\sdk\tools\getftp.nlm %1:\system\
echo.

pause
 
:END